#include <bits/stdc++.h>
#define en '\n'
#define MAXN 200005

using namespace std;

int n,m;
vector<pair<int,int>> a;

void solve()
{
    int l,r,x; cin >> l >> r >> x;
    l--;r--;
    int ans = 0;
    for(int i = l; i <= r; i++)
    {
        if(x >= a[i].first && x <=a[i].second) ans++;
    }
    cout << ans << en;
}

int main()
{
    ios::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

    cin>>n>>m;
    a.resize(n);
    for(int i = 0; i < n; ++i)
    {
        cin >> a[i].first >> a[i].second;
    }

    while(m--)
    {
        solve();
    }

}